﻿Type=Activity
Version=6.5
ModulesStructureVersion=1
B4A=true
@EndOfDesignText@
#Region  Activity Attributes 
	#FullScreen: False
	#IncludeTitle: True
#End Region

Sub Process_Globals
	'These global variables will be declared once when the application starts.
	'These variables can be accessed from all modules.
	Dim ACTIVITY_RESULT_CANCELED As Int = 0
	Dim ACTIVITY_RESULT_OK As Int = -1
	Dim tSQL As SQL
End Sub

Sub Globals
	'These global variables will be redeclared each time the activity is created.
	'These variables can only be accessed from this module.

	Dim StartingIntent As Intent
	Dim gAppWidgetId As Int
	Dim etMID As EditText
	Dim cbNotif As CheckBox

End Sub

Sub Activity_Create(FirstTime As Boolean)
	'Do not forget to load the layout file created with the visual designer. For example:
	Activity.LoadLayout("WidgetConfig")

	StartingIntent = Activity.GetStartingIntent
       
	If StartingIntent.HasExtra("appWidgetId" ) Then
      gAppWidgetId = StartingIntent.GetExtra("appWidgetId")
	Else
      gAppWidgetId = -1
	End If

	If FirstTime Then
		tSQL.Initialize(File.DirInternal, "widgets.db", True)
		tSQL.ExecNonQuery("CREATE TABLE IF NOT EXISTS widgets (wid INT PRIMARY KEY ON CONFLICT REPLACE, mid INT, notif INT, notifakt INT)")
	End If
End Sub

Sub Activity_Resume
	'Initialize the result code with "CANCEL"
   Activity.SetActivityResult(ACTIVITY_RESULT_CANCELED, StartingIntent)
End Sub

Sub Activity_Pause (UserClosed As Boolean)
   'If the activity is paused, close it and cancel the configuration process
   Activity.Finish
End Sub


Sub btOK_Click
   'The user clicked "Save" so set the OK-Result
   Activity.SetActivityResult(ACTIVITY_RESULT_OK, StartingIntent)
   'Save the settings for the widgetId
	tSQL.ExecNonQuery2("INSERT INTO widgets VALUES (?, ?, ?, ?)", Array As Object(gAppWidgetId, etMID.Text, cbNotif.Checked, 0))

   gAppWidgetId = -1
   Activity.Finish
	
End Sub
